# Uses of Class
java.awt.BasicStroke

Packages that use BasicStroke
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.border
Provides classes and interface for drawing specialized borders around a Swing component.

- ## Uses of BasicStroke in javax.swing

  Methods in javax.swing with parameters of type BasicStroke
  Modifier and Type
  Method
  Description
  `static Border`
  BorderFactory.`createStrokeBorder(BasicStroke stroke)`
  Creates a border of the specified `stroke`.
  `static Border`
  BorderFactory.`createStrokeBorder(BasicStroke stroke, Paint paint)`
  Creates a border of the specified `stroke` and `paint`.

- ## Uses of BasicStroke in javax.swing.border

  Methods in javax.swing.border that return BasicStroke
  Modifier and Type
  Method
  Description
  `BasicStroke`
  StrokeBorder.`getStroke()`
  Returns the `BasicStroke` object used to stroke a shape during the border rendering.
  Constructors in javax.swing.border with parameters of type BasicStroke
  Modifier
  Constructor
  Description
  ``
  `StrokeBorder(BasicStroke stroke)`
  Creates a border of the specified `stroke`.
  ``
  `StrokeBorder(BasicStroke stroke, Paint paint)`
  Creates a border of the specified `stroke` and `paint`.